from django.contrib import admin

from dbsynce.models import Permissions


@admin.register(Permissions)
class PermissionsAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'check_date',
        'permission_type',
        'check_level',
        'checked_by',
        'user',
        'status',
        'ticket_status',
        'id_metaservice',
        'is_global',
        'is_visible',
    )
    list_filter = ('check_date', 'checked_by', 'user', 'ticket_status')
