from django.contrib import admin

from dbsynce.models import Service


@admin.register(Service)
class ServiceAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'service_category',
        'resource',
        'requirements',
        'id_metaservice',
        'price_type',
        'price_km',
        'price_min',
        'price_amount',
        'status',
        'ticket_status',
        'is_global',
        'is_visible',
    )
    list_filter = (
        'service_category',
        'resource',
        'ticket_status',
    )
