'''
Dicts from:

https://wiki.sharix.org/doku.php/open/tech/dev/db/slovari_bd#resource_type
'''

neg_type = {
    "disfollow": 0,
    "prefer": 1,
    "employee": 2,
    "service": 3,
    "client": 4
}

type_legal_form = {
    "self-employed": 0,
    "ip": 1,
    "company": 2
}

# FIXME: resource_type ??

# FIXME: permission_type ??

initiator_type = {
    "manual": 0,
    "self": 1,
    "another_user": 2,
    "metaservice_event": 3,
    "platform_event": 4
}

event_type = {
    "add": 1,
    "del": 2,
    "change": 3
}

status = {
    "false": "f",
    "true": "t",
    "disabled": "d",
    "switch": "s",
    "error": "e"
}

# FIXME: Requirements ???

# FIXME: Коды степени проверки загружаемых документов

# FIXME: коды документов (doctype)

# FIXME: Коды степени проверки дополнительных допусков/экзаменов

# FIXME: коды проверок

# FIXME: Раздел про проверку наличия связей

# FIXME: Примеры

price_type = {
    "time": 1,
    "distance": 2,
    "instance": 3,
    "tpd": 4,
    "ipd": 5,
    "ipt": 6
}

location_type = {
    "static": 0,
    "dynamic": 1
}

provider_type = {
    "partner": 1,
    "responsible_person": 2,
    "service_provider": 3
}

service_status = {
    "online": 1,
    "offline": 2,
    "gap": 3
}

activity_status = {
    "active": 0,
    "deactivated": 1,
    "deleted": 2
}

transaction_type = {
    "active": 0,
    "deactivated": 1
}

tax_method = {
    "Main": 0,
    "Simple1": 1,
    "Simple2": 2
}

# FIXME: STATE (статусы заказов/заявок с кодами)

request_type = {
    "NEW": 111,
    "REOPENED": 110,
    "ASSIGNED": 121,
    "IN_PROCESS": 131,
    "WONTFIX": 149,
    "DONE": 141,
    "DUPLICATE": 159,
    "CLOSED": 151
}

service_request_type = {
    "TEMPLATE": 210,
    "BOOKED": 211,
    "ASSIGNED": 212,
    "ACCEPTED": 221,
    "PENDING": 220,
    "DECLINED": 229,
    "PRE_START": 222,
    "PROCESS": 231,
    "PRE_FORCEMAJEUER": 238,
    "FORCEMAJEUER": 239,
    "DONE": 241,
    "CANCELLED": 249,
    "CLOSED": 251
}

access_request_type = {
    "PENDING": 320,
    "ACCEPTED": 321,
    "DECLINED": 359
}

neg_request_type = {
    "PENDING": 420,
    "ACCEPTED": 421,
    "DECLINED": 459
}

# FIXME: ticket_type
