from django.contrib import admin

from dbsynce.models import Provider


@admin.register(Provider)
class ProviderAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'user',
        'id_metaservice',
        'gap',
        'requirements',
        'status',
        'service_status',
        'ticket_status',
        'location_type',
        'default_location',
        'is_global',
        'is_visible',
    )
    list_filter = ('user', 'ticket_status')
