from django.contrib import admin

from dbsynce.models import Relationship


@admin.register(Relationship)
class RelationshipAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'user_who',
        'user_whom',
        'neg_type',
        'id_metaservice',
        'requirements',
        'status',
        'ticket_status',
        'is_global',
        'is_visible',
    )
    list_filter = ('user_who', 'user_whom', 'ticket_status')
