from django.contrib import admin

from dbsynce.models import ServiceCategory


@admin.register(ServiceCategory)
class ServiceCategoryAdmin(admin.ModelAdmin):
    list_display = (
        'id',
        'codename',
        'caption',
        'description',
        'requirements',
        'price_type',
        'status',
        'ticket_status',
        'id_metaservice',
        'link_agreement',
        'is_global',
        'is_visible',
    )
    list_filter = ('ticket_status',)
