from .template import Template


class ServiceCategory():
    description = (
        "Перечень типов услуг"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    codename = (
        "латинское наименование услуги в системе"
    )
    requirements = (
        "код требований на основе вспомогательных таблиц-справочников"
    )
    status = (
        "активность на основе системы заявок"
    )
    caption = (
        "наименование услуги для отображения пользователю"
    )
    description = (
        "текстовое описание услуги"
    )
    link_agreement = (
        "ссылка на договор в вики об оказании услуги данного типа "
        "(аренда, перевозка и тп)"
    )
    price_type = (
        "ценообразование - код допустимых вариантов или код параметров, "
        "принимаемых во внимание и способ их учета (по сути хорошо "
        "закодировать формулу)"
    )
    metaservice_comission = (
        "Коммисия сервиса"
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = (
        "id последнего актуального тикета, касающийся статуса. Если он меняет "
        "статус на закрытый - вызывается проверка, которая смотрит, нет ли "
        "другого открытого по пользователю."
    )
