from django.core.management.base import BaseCommand

from dbsynce.lib.seed import create_metaservice_default_data

class Command(BaseCommand):
    help = "Create initial data."

    def handle(self, *args, **options):
        self.stdout.write(self.style.SUCCESS('Start seeding default data'))

        create_metaservice_default_data()

        self.stdout.write(self.style.SUCCESS('Successful seeding default data'))
        # raise NotImplementedError()
