from django.core.management.base import BaseCommand

from dbsynce.lib.seed import create_metaservice_test_users

class Command(BaseCommand):
    help = "Create test users."

    def handle(self, *args, **options):
        self.stdout.write(self.style.SUCCESS('Start seeding test users'))

        create_metaservice_test_users()

        self.stdout.write(self.style.SUCCESS('Successful seeding test users'))
        # raise NotImplementedError()
